echo off
echo --------------------------------------
echo           Music Quest, Inc.
echo Diagnostics and Utilities Installation
echo        MIDI Interface Set Up
echo --------------------------------------
if $%1 == $ goto prompt
if %1 == c goto cdrive
if %1 == C goto cdrive
if %1 == c: goto cdrive
if %1 == C: goto cdrive
if %1 == d goto ddrive
if %1 == D goto ddrive
if %1 == d: goto ddrive
if %1 == D: goto ddrive
if %1 == a: goto adrive
if %1 == A: goto adrive
if %1 == a goto adrive
if %1 == A goto adrive
rem
rem Prompt for batch file syntax
rem
:prompt
echo *
echo This INSTALL batch file can install the Music Quest utility programs
echo on your hard disk and help you set up your MIDI interface.
echo The diagnostic and utility programs help you make the most
echo effective use of your MIDI interface.  The Set Up procedure
echo helps you set up the programmable metronome feature found on the
echo PC MIDI Card.  The README  file summarizes all of the utilities.
echo *
echo *
echo Use INSTALL A or INSTALL A: to install and set up on your A: disk.
echo Use INSTALL C or INSTALL C: to install and set up on your C: disk.
echo Use INSTALL D or INSTALL D: to install and set up on your D: disk.
echo *
goto exit
rem
rem A drive installation
rem
:adrive
setup a:
goto exit
rem
rem C drive installation
rem
:cdrive
echo Installing on drive C.
echo Insert Diagnostics/Utilities diskette in drive A.
echo -------------------------------------------------
pause
echo Creating directories.....
echo Note: If you are re-installing or if you have installed Music Quest
echo products, ignore directory error messages.
md c:\mq
md c:\mq\mqdiag
echo Copying files
copy a:\*.* c:\mq
copy a:\mqdiag\*.* c:\mq\mqdiag
echo Diagnostics and Utilities installed on drive C.
cd c:\mq
c:
setup c:
goto exit
rem
rem D drive installation
rem
:ddrive
echo Installing on drive D.
echo Insert Diagnostics/Utilities diskette in drive A.
echo -------------------------------------------------
pause
echo Creating directories.....
echo Note: If you are re-installing or if you have installed Music Quest
echo products, ignore directory error messages.
md d:\mq
md d:\mq\mqdiag
echo Copying files
copy a:\*.* d:\mq
copy a:\mqdiag\*.* d:\mq\mqdiag
echo Diagnostics and Utilities installed on drive D.
cd d:\mq
d:
setup d:
goto exit
:exit
